<template>
  <stock-layout :class="[theme]" :side-menus="sideMenus">
    <nuxt />
  </stock-layout>
</template>

<script>
import { mapGetters, mapActions } from 'vuex';
import StockLayout from '../components/StockLayout';

export default {
  name: 'investor-layout',
  components: {
    'stock-layout': StockLayout,
  },
  data() {
    return {
      sideMenus: [
        {
          routeName: 'investor-stock',
          icon: 'md-trending-up',
          title: 'Stock',
        },
        {
          routeName: 'investor-note',
          icon: 'ios-create',
          title: 'Note',
        },
        {
          routeName: 'investor-news',
          icon: 'ios-paper',
          title: 'News',
        },
        {
          routeName: 'investor-personal',
          icon: 'ios-person',
          title: 'Perfile',
        },
      ]
    };
  },
  computed: {
    ...mapGetters(['theme']),
  },
}
</script>

<style lang="scss" scoped>
</style>
